Autor Thema: [98_Installer.pm] FHEM Installer Helfer-Modul  (Gelesen 59750 mal)

Offline rico5588

  • Full Member
  • ***
  • Beiträge: 173
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #120 am: 10 Februar 2020, 16:13:32 »
Das hat bei mir auch geholfen!
Danke dafür.

Hallo,
ich habe seit vorgestern das gleiche Problem, Parse Error E501.
Bei mir läuft FHEM auf einem Raspberry 3B+ mit Raspbian Stretch.

Update:
Nach einem: sudo cpan-outdated -p | sudo cpanm funktioniert es wieder. Warum auch immer.
Geht nicht gibt's nicht.
NUC-I3+Proxmox, Fritzbox 7490, Synology DS414
Dimplex Wärmepumpe, Lüftungsanlage, Solarlog 1200
HM,IT,Lacross,EspEasy,und ein bissl Modbus,etc

Offline Sascha_F

  • Full Member
  • ***
  • Beiträge: 107
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #121 am: 12 Februar 2020, 20:59:24 »
Hi zusammen,

analog bei mir.

Nach Ausführen von (auf der Shell)

sudo cpan-outdated -p | sudo cpanm
funktioniert ein set outdatedPerl wieder... Allerdings auch hier keine Ahnung, warum das so ist :-/

Viele Grüße
Sascha

Offline Loredo

  • Developer
  • Hero Member
  • ****
  • Beiträge: 3751
  • ~ Challenging Innovation ~
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #122 am: 17 Februar 2020, 00:15:05 »
Das kann ich auch nicht für euch herausfinden, da ich nicht weiß, was an eurer Systemumgebung individuell und/oder speziell ist (und ihr das wahrscheinlich auch selbst nicht immer wisst). Ich kann nur mutmaßen, dass Dateirechte mal wieder eine Rolle spielen, die mit dem manuellen Update wieder gerade gerückt werden. Oder die Ausgabe von cpan-outdated beinhaltet eben ein unerwartetes Format oder Sonderzeichen. Vor eurem Update wäre evtl eine solche Ausgabe interessant zur Analyse gewesen (allerdings umgeleistet in eine Datei, nicht per Text Copy&Paste ins Forum - sonst gehen teilweise versteckte Zeichen verloren, die aber wichtig sein können).
Hat meine Arbeit dir geholfen? ⟹ https://paypal.me/pools/c/8gDLrIWrG9

Maintainer:
FHEM-Docker Image, https://github.com/fhem, Astro(Co-Maintainer), ENIGMA2, GEOFANCY, GUEST, HP1000, Installer, LaMetric2, MSG, msgConfig, npmjs, PET, PHTV, Pushover, RESIDENTS, ROOMMATE, search, THINKINGCLEANER

Offline Sascha_F

  • Full Member
  • ***
  • Beiträge: 107
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #123 am: 20 Februar 2020, 18:25:45 »
Hi Loredo,

erst einmal Danke  :)

Ich hab noch einigermaßen im Kopf, was ich gemacht habe --> habe gerade erst kürzlich alles neu auf dem RPI4 eingerichtet (habe aber natürlich FHEM- und MariaDB-Backup eingespielt). Daher dürfte eigentlich nichts "merkwürdig verstellt sein" - fehlende Rechte kann ich nicht ausschließen, da ich da leider nicht 100 %ig im Thema bin (Asche auf mein Haupt  ;))

Ich behalte das mal im Auge und melde mich, sofern es wieder auftritt --> dann natürlich auch als Datei  :D

Viele Grüße
Sascha

Offline roelleke

  • New Member
  • *
  • Beiträge: 29
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #124 am: 20 Februar 2020, 20:00:55 »
Hallo,
heute ist der Parsing Error wieder aufgetreten.
Die Ausgabe des Error-Logs sieht folgendermaßen aus:
No. Error Code Description
1 E501 Parsing error

Detail:
cpanm (App::cpanminus) version 1.7044 (/usr/local/bin/cpanm) perl version 5.024001 (/usr/bin/perl) %Config: archname=arm-linux-gnueabihf-thread-multi-64int installsitelib=/usr/local/share/perl/5.24.1 installsitebin=/usr/local/bin installman1dir=/usr/share/man/man1 installman3dir=/usr/share/man/man3 sitearchexp=/usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 sitelibexp=/usr/local/share/perl/5.24.1 vendorarch=/usr/lib/arm-linux-gnueabihf/perl5/5.24 vendorlibexp=/usr/share/perl5 archlibexp=/usr/lib/arm-linux-gnueabihf/perl/5.24 privlibexp=/usr/share/perl/5.24 %ENV: @INC: FatPacked::20421576=HASH(0x1379bc8) /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/arm-linux-gnueabihf/perl5/5.24 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base @Outdated: Devel::Hide 0.0010 0.0013 D/DC/DCANTRELL/Devel-Hide-0.0013.tar.gz Filter::Simple 0.92 0.94 S/SM/SMUELLER/Filter-Simple-0.94.tar.gz if 0.0606 0.0608 X/XS/XSAWYERX/if-0.0608.tar.gz Locale::Maketext 1.26_01 1.29 T/TO/TODDR/Locale-Maketext-1.29.tar.gz MooX::late 0.016 0.100 T/TO/TOBYINK/MooX-late-0.100.tar.gz Net::Amazon::Signature::V4 0.19 0.20 D/DB/DBOOK/Net-Amazon-Signature-V4-0.20.tar.gz Net::DNS 1.21 1.22 N/NL/NLNETLABS/Net-DNS-1.22.tar.gz NEXT 0.65 0.67 N/NE/NEILB/NEXT-0.67.tar.gz parent 0.237 0.238 C/CO/CORION/parent-0.238.tar.gz Pod::Checker 1.60 1.73 M/MA/MAREKR/Pod-Checker-1.73.tar.gz SelfLoader 1.23 1.24 S/SM/SMUELLER/SelfLoader-1.24.tar.gz Test::MockModule 0.171.0 v0.172.0 G/GF/GFRANKS/Test-MockModule-v0.172.0.tar.gz Type::Tiny 1.008005 1.010000 T/TO/TOBYINK/Type-Tiny-1.010000.tar.gz
Im Anhang sind die Konsoloenausgaben von cpan-outdated. Ich sehe da nichts ungewöhnliches.
Gefällt mir Gefällt mir x 1 Liste anzeigen

Offline Sascha_F

  • Full Member
  • ***
  • Beiträge: 107
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #125 am: 24 März 2020, 10:06:47 »
Hi zusammen,

es tut mir leid, dass ich echt blöd fragen muss, aber seit heute habe ich den Error wieder. Wie bekomme ich das denn jetzt in eine Datei (also natürlich ohne copy&paste)?

Viele Grüße
Sascha

Offline rico5588

  • Full Member
  • ***
  • Beiträge: 173
Antw:[98_Installer.pm] FHEM Installer Helfer-Modul
« Antwort #126 am: 24 März 2020, 17:00:37 »
Bei mir auch seit 02:50 Uhr ...was auch immer da gerade los war... :)

Mfg Rico
Geht nicht gibt's nicht.
NUC-I3+Proxmox, Fritzbox 7490, Synology DS414
Dimplex Wärmepumpe, Lüftungsanlage, Solarlog 1200
HM,IT,Lacross,EspEasy,und ein bissl Modbus,etc